
QGIS Application - Bug report #21840

Geopackage - wrong string length

2019-04-12 02:02 PM - Luca Lanteri

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:3.6.1 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 29655

Description

When I try to export string data from csv to geopackage "String" columns are converted to String(255) also if they contains more than 255

character.

Data are not truncated but when I import geopackage layer into PostGIS the process fails.

The bug can be linked to #18442 and #17508?

Related issues:

Duplicates QGIS Application - Bug report # 21714: Exported GeoPackages have w... Closed 2019-03-31

History

#1 - 2019-04-12 02:23 PM - Alessandro Pasotti

- Duplicates Bug report #21714: Exported GeoPackages have wrong field definitions added

#2 - 2019-04-12 02:43 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

#3 - 2019-04-28 11:43 AM - Jürgen Fischer

- Description updated

#4 - 2019-04-28 11:45 AM - Jürgen Fischer

- Description updated

- Subject changed from Geopakage - wrong string length to Geopackage - wrong string length
